filename myZIP ZIP "&path\donors.zip";

data work.donors_zip;
   infile MyZip(donors.txt) DSD dlm='09'x TRUNCOVER firstobs=2;
   input Name:$20. Donation:comma32. Recipients:$59.;
   format Donation dollar10.2;
run;

title "Imported from donors.txt in a ZIP file";
proc print data=donors_zip(obs=10);
run;
title;
